python-imobiledevice_1.2.1~git20171128.5a854327+dfsg-0.1_i386.deb


Advertisement

Description

python-imobiledevice - Library for communicating with iPhone and iPod Touch devices

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-imobiledevice_1.2.1~git20171128.5a854327+dfsg-0.1_i386.deb
Package name python-imobiledevice
Package version 1.2.1~git20171128.5a854327+dfsg
Package release 0.1
Package architecture i386
Package type deb
Category universe/python
Homepage http://libimobiledevice.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 160.23 KB
Installed size 825.00 KB
libimobiledevice is a library that talks the native Apple USB protocols that
the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
not depend on using any existing libraries from Apple.
This package contains the Python bindings

Alternatives

Package Version Architecture Repository
python-imobiledevice_1.2.1~git20171128.5a854327+dfsg-0.1_amd64.deb 1.2.1~git20171128.5a854327+dfsg amd64 Ubuntu Universe
python-imobiledevice - - -

Requires

Name Value
libc6 >= 2.4
libimobiledevice6 >= 1.1.7
libplist3 >= 1.11
libpython2.7 >= 2.7
python >= 2.7~
python << 2.8
python-plist -
python:any << 2.8
python:any >= 2.7~

Provides

Name Value
python2.7-imobiledevice -

Conflicts

Name Value
python-iphone -
python-libiphone -

Replaces

Name Value
python-iphone -
python-libiphone -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-imobiledevice_1.2.1~git20171128.5a854327+dfsg-0.1_i386.deb
Source Package libimobiledevice

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-imobiledevice deb package:
    # sudo apt-get install python-imobiledevice

Files

Path
/usr/lib/python2.7/dist-packages/imobiledevice.i386-linux-gnu.so
/usr/share/doc/python-imobiledevice/changelog.Debian.gz
/usr/share/doc/python-imobiledevice/copyright

Changelog

2017-12-06 - Yves-Alexis Perez <corsac@debian.org>
libimobiledevice (1.2.1~git20171128.5a854327+dfsg-0.1) unstable; urgency=medium
* Non-maintainer upload.
* New upstream snapshot 1.2.1~git20171128.5a854327+dfsg
- fix compatibility with iOS 11 (closes: #881486)
- fix installation_proxy when using GnuTLS (closes: #852860)
* Drop 02-fix-link-errors.patch
* Drop local-only-sockets.patch
* Drop gnutls-api-update.patch
* Drop fix-ssl-version-negotiation-for-newer-versions-of-openssl.diff
* Drop idevice-update-gnutls-code-to-support-ios-10.diff
* Drop userpref-gnutls-fix-pairing-record-generation...
* d/p/09_use_python_config removed
* update symbols for new release
* d/gbp.conf: update section name to buildpackage
* d/control: update standards version to 4.1.2
* d/control: make python-imobiledevice depend on python-plist
(closes: #881486)
* d/s/lintian-overrides: add override for menu.js long lines
2017-11-02 - Manuel A. Fernandez Montecelo <mafm@debian.org>
libimobiledevice (1.2.0+dfsg-3.2) unstable; urgency=medium
* Non-maintainer upload.
* Switch to debhelper compat level 10
- autoreconf is invoked by default, do not build-depend on
dh-autoreconf and do not invoke dh with that argument
- Use automatic dbgsym packages, drop -dbg
- Remove DM-Upload-Allowed field in d/control
[ Helmut Grohne ]
* Remove wrong Multi-Arch: foreign from libimobiledevice-dev
(Closes: #842474)
2017-01-03 - Nicolas Boulenguez <nicolas@debian.org>
libimobiledevice (1.2.0+dfsg-3.1) unstable; urgency=medium
* Non-maintainer upload.
* Upstream commits replacing SSL3.0 with TLS1.0. Closes: #840931, #847977.
Also fix related bug in GNUTLS pairing record generation, see
https://github.com/libimobiledevice/libimobiledevice/issues/413.
2016-06-02 - Chow Loong Jin <hyperair@debian.org>
libimobiledevice (1.2.0+dfsg-3) unstable; urgency=high
* Team upload
* [3b56a55] Import patch to make sockets listen locally.
Fixes CVE-2016-5104 (Closes: #825553)
* [754e9a1] Fix FTBFS with new gnutls
2016-01-04 - Chow Loong Jin <hyperair@debian.org>
libimobiledevice (1.2.0+dfsg-2) unstable; urgency=medium
* Team upload.
* Reupload to unstable (Closes: #809797)
2015-02-04 - Chow Loong Jin <hyperair@debian.org>
libimobiledevice (1.2.0+dfsg-1) experimental; urgency=medium
* Team upload.
* [b3d792c] Imported Upstream version 1.2.0+dfsg
* [68cab55] Drop 01-libs.private.patch.
No longer needed.
* [9084b8b] Rename lib package for ABI bump
* [48168a2] Update symbols file
2014-10-29 - Chow Loong Jin <hyperair@debian.org>
libimobiledevice (1.1.7+dfsg-1) experimental; urgency=medium
* Team upload.
* [51f31a3] Imported Upstream version 1.1.7+dfsg
* [6dace3c] Drop symbol-script patch.
No longer needed since upstream uses -fvisibility=hidden
* [c385d6b] Update packaging for soname bump
* [794ea11] Update symbols file
* [4945173] Bump Standards-Version to 3.9.6 (no changes)
* [7b02a17] Build-dep on dh-python
* [1d52426] Add idevicedebug.1 manpage
2014-07-24 - Chow Loong Jin <hyperair@debian.org>
libimobiledevice (1.1.6+dfsg-4) unstable; urgency=medium
* [073ba50] Update libimobiledevice-dev's gcrypt deps.
Whoops, missed this in the previous upload. (Closes: #747536)
2014-07-23 - Chow Loong Jin <hyperair@debian.org>
libimobiledevice (1.1.6+dfsg-3) unstable; urgency=medium
* Team upload
* [1855046] Update gnutls and gcrypt build-deps (Closes: #747536)
2014-06-23 - Chow Loong Jin <hyperair@debian.org>
libimobiledevice (1.1.6+dfsg-2) unstable; urgency=medium
* [169b453] Fix libimobiledevice-utils.manpages.
- Drop duplicate idevicebackup.1 entry
- Add idevicename.1 and idevicecrashreport.1
Thanks to Artur Rona (Closes: #750955)
* [583a454] Fix dependency on transitional libtasn1-3-dev package
(Closes: #731707)

See Also

Package Description
python-impacket_0.9.15-1_all.deb Python module to easily build and dissect network protocols
python-imposm-parser_1.0.7+ds-4_i386.deb Python module to parse OpenStreetMap data
python-imposm_2.6.0+ds-4_i386.deb importer for OpenStreetMap data - Python module
python-indexed-gzip_0.6.1-1_i386.deb fast random access of gzip files in Python
python-indicate_12.10.1-0ubuntu5_i386.deb Python bindings for libindicate
python-indigo_1.1.12-2_all.deb Organic Chemistry Toolkit (Python module)
python-inflect_0.2.5-1.1_all.deb Generate plurals, singular nouns, ordinals, indefinite articles
python-inflection_0.3.1-1_all.deb Port of Ruby on Rails' inflector (Python 2)
python-influxdb_4.1.1-2_all.deb Client for InfluxDB - Python 2.7
python-iniparse_0.4-2.2_all.deb access and modify configuration data in INI files (Python 2)
python-inotifyx_0.2.0-1_i386.deb simple Python binding to the Linux inotify
python-input-pad_1.0.3-1build1_i386.deb On-screen Input Pad to Send Characters with Mouse - python
python-instagram_1.3.2+git20160108~dfeebe9-4_all.deb Python 2 client for the Instagram REST and Search APIs
python-instant_2017.2.0.0-2_all.deb simple inlining of C/C++ code in Python 2
python-intbitset-doc_2.3.0-2_all.deb unordered sets with ultra fast operations (documentation)
Advertisement
Advertisement